Skip to main content
GET
/
schedule
/
v1
/
employees
/
{employeeId}
/
schedule-templates
List employee schedule template
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/employees/{employeeId}/schedule-templates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "2024-01-01": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "mondayMinutes": 30,
          "tuesdayMinutes": 30,
          "wednesdayMinutes": 30,
          "thursdayMinutes": 30,
          "fridayMinutes": 30,
          "saturdayMinutes": null,
          "sundayMinutes": null,
          "currentDayMinutes": null,
          "weekdaysRanges": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "weekday": "wednesday",
            "startTime": "<string>",
            "endTime": "<string>",
            "weekdayRangeType": "<string>",
            "order": "day"
          }
        }
      ]
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

employeeId
string<uuid>
required

Employee ID

Query Parameters

from
string<date>
required
to
string<date>
required
limit
integer

Limit results

page
integer

Request a specific page

Response

200 - application/json

List of employee to schedule templates

data
object[]
meta
object